snd_pcm_capture_empty
Prev | Chapter 24. Sound Devices | Next

## Name

snd_pcm_capture_empty — check whether the capture buffer is empty

## Synopsis

`int snd_pcm_capture_empty (` | struct snd_pcm_substream * | substream`)`;

## Arguments

`substream`

  the pcm substream instance

## Description

Checks whether the capture buffer is empty.

Returns non-zero if empty, or zero if not.

Prev | Up | Next
snd_pcm_playback_empty | Home | snd_pcm_format_cpu_endian